Obtener reclamo por ID
curl --request GET \
--url https://hg.cash/api/v1/claims/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://hg.cash/api/v1/claims/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hg.cash/api/v1/claims/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hg.cash/api/v1/claims/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hg.cash/api/v1/claims/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://hg.cash/api/v1/claims/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://hg.cash/api/v1/claims/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "OPEN",
"operationNumber": "<string>",
"coelsaCode": "<string>",
"amount": "1500.00",
"currency": "ARS",
"extractedData": {
"from": "<string>",
"to": "<string>"
},
"originalFilename": "<string>",
"mimeType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fileUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}Claims
Obtener reclamo por ID
Devuelve un reclamo creado por el usuario autenticado o visible para un administrador con alcance.
Incluye una fileUrl firmada de duración limitada cuando hay evidencia almacenada.
GET
/
claims
/
{id}
Obtener reclamo por ID
curl --request GET \
--url https://hg.cash/api/v1/claims/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://hg.cash/api/v1/claims/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hg.cash/api/v1/claims/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hg.cash/api/v1/claims/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hg.cash/api/v1/claims/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://hg.cash/api/v1/claims/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://hg.cash/api/v1/claims/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "OPEN",
"operationNumber": "<string>",
"coelsaCode": "<string>",
"amount": "1500.00",
"currency": "ARS",
"extractedData": {
"from": "<string>",
"to": "<string>"
},
"originalFilename": "<string>",
"mimeType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fileUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}Autorizaciones
Token de autenticación de API de usuario con formato cash_<64-char-hex>. Valor de ejemplo cash_16cdc3b6f83c72d9d2680adca4f430962981f6bf32613a129dded0aa060387d2.
Parámetros de ruta
Respuesta
OK
Opciones disponibles:
OPEN, UNDER_REVIEW, RESOLVED, REJECTED Monto decimal con 2 decimales.
Ejemplo:
"1500.00"
Opciones disponibles:
ARS, USD, USDT Show child attributes
Show child attributes
ID de la transacción vinculada cuando la conciliación encontró un match.
URL firmada de duración limitada (~7 días) para descargar el comprobante.

